package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.SysDeptJl;

import java.util.List;

/**
 * 吉林地区管理Mapper接口
 *
 * @author CH
 * @date 2022-03-25
 */
public interface SysDeptJlMapper
{
    /**
     * 查询吉林地区管理
     *
     * @param id 吉林地区管理主键
     * @return 吉林地区管理
     */
    public SysDeptJl selectSysDeptJlById(String id);
    public List<SysDeptJl> selectSysDeptJlByParentId(String parentId);

    /**
     * 查询吉林地区管理列表
     *
     * @param sysDeptJl 吉林地区管理
     * @return 吉林地区管理集合
     */
    public List<SysDeptJl> selectSysDeptJlList(SysDeptJl sysDeptJl);

    /**
     * 新增吉林地区管理
     *
     * @param sysDeptJl 吉林地区管理
     * @return 结果
     */
    public int insertSysDeptJl(SysDeptJl sysDeptJl);

    /**
     * 修改吉林地区管理
     *
     * @param sysDeptJl 吉林地区管理
     * @return 结果
     */
    public int updateSysDeptJl(SysDeptJl sysDeptJl);

    /**
     * 删除吉林地区管理
     *
     * @param id 吉林地区管理主键
     * @return 结果
     */
    public int deleteSysDeptJlById(String id);

    /**
     * 批量删除吉林地区管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysDeptJlByIds(String[] ids);
}
